org.apache.cassandra.locator

## Interface DynamicEndpointSnitchMBean

All Known Implementing Classes:
  DynamicEndpointSnitch

    public interface DynamicEndpointSnitchMBean

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List<java.lang.Double>` `dumpTimings(java.lang.String hostname)`
`double` `getBadnessThreshold()`
`int` `getResetInterval()`
`java.util.Map<java.net.InetAddress,java.lang.Double>` `getScores()`
`double` `getSeverity()`
`java.lang.String` `getSubsnitchClassName()`
`int` `getUpdateInterval()`
`void` `setSeverity(double severity)` Use this if you want to specify a severity; it can be negative Example: Page cache is cold and you want data to be sent though it is not preferred one.

### Method Detail

#### getScores

    java.util.Map<java.net.InetAddress,java.lang.Double> getScores()

#### getUpdateInterval

    int getUpdateInterval()

#### getResetInterval

    int getResetInterval()

#### getBadnessThreshold

    double getBadnessThreshold()

#### getSubsnitchClassName

    java.lang.String getSubsnitchClassName()

#### dumpTimings

    java.util.List<java.lang.Double> dumpTimings(java.lang.String hostname)
                                          throws java.net.UnknownHostException

Throws:
  `java.net.UnknownHostException`

#### setSeverity

    void setSeverity(double severity)

Use this if you want to specify a severity; it can be negative Example: Page cache is cold and you want data to be sent though it is not preferred one.

#### getSeverity

    double getSeverity()